Package org.eclipse.emf.cdo.server.db

# Interface IDBStore.TableVisitor

Enclosing interface:
  `IDBStore`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public static interface IDBStore.TableVisitor
Called back from `IDBStore.visitAllTables(Connection, TableVisitor)` for all tables in the database.

Since:
  4.2
Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`void`
`visitTable(Connection connection, String name)`

## Method Details

### visitTable

void visitTable(Connection connection, String name) throws SQLException

Throws:
  `SQLException`